version: "{build}"

os: Visual Studio 2015

clone_depth: 50


environment:
  matrix:
    # Visual Studio 2015 64bit
    - visualcpp: C:\Program Files (x86)\Microsoft Visual Studio 14.0\VC\vcvarsall.bat
      machine: amd64

    # Visual Studio 2013 64bit
    - visualcpp: C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\vcvarsall.bat
      machine: amd64


init:
  - call "%visualcpp%" %machine%
  # For using bison.exe
  - set PATH=%PATH%;C:\cygwin\bin;


build_script:
  - set MRUBY_CONFIG=appveyor_config.rb
  - ruby .\minirake test
